
Redmine - Patch #27772

Issues reports should show only statuses used by the project

2017-12-10 14:11 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 4.0.0   

Description

This issue is related to #19578 and #5385.

The attached patch restricts the statuses from the issues reports only to the statuses used by the project. In this way, we make the

table more readable for the users.

Attached is a print screen (reports.png) from our production instance which the report from one of our development project. You can

easily see how many statuses are not used the by the project, but are shown in the report with ("-"). I chose to remove the statuses

and trackers names from privacy reasons.

Related issues:

Related to Redmine - Defect #19578: Issues reports table header overlaping Closed

Related to Redmine - Defect #5385: Status filter should show statuses related... Closed 2010-04-26

Associated revisions

Revision 17121 - 2017-12-19 11:15 - Go MAEDA

Issues reports should show only statuses used by the project (#27772).

Patch by Marius BALTEANU.

History

#1 - 2017-12-10 14:13 - Marius BĂLTEANU

- Related to Defect #19578: Issues reports table header overlaping added

#2 - 2017-12-10 14:13 - Marius BĂLTEANU

- Related to Defect #5385: Status filter should show statuses related to project trackers only added

#3 - 2017-12-12 06:03 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2017-12-16 08:11 - Go MAEDA

- Category set to Issues

- Target version changed from Candidate for next major release to 4.1.0

LGTM. Setting target version to 4.1.0.

#5 - 2017-12-19 11:17 - Go MAEDA

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed to the trunk.

Thank you for fixing this issue.

#6 - 2017-12-19 11:17 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 4.1.0 to 4.0.0
https://www.redmine.org/issues/19578
https://www.redmine.org/issues/5385
https://www.redmine.org/attachments/19696
